> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Video Content

> Download the finished mp4.

Responds with a redirect to the video file while its link is valid, and
with the file bytes afterwards. Available once `status` is `completed`.



## OpenAPI

````yaml https://api.edenai.run/v3/docs/openapi.json get /v3/videos/{video_id}/content
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/videos/{video_id}/content:
    get:
      tags:
        - Videos
      summary: Download Video Content
      description: |-
        Download the finished mp4.

        Responds with a redirect to the video file while its link is valid, and
        with the file bytes afterwards. Available once `status` is `completed`.
      operationId: download_video_content_v3_videos__video_id__content_get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
        - name: variant
          in: query
          required: false
          schema:
            type: string
            description: Only `video` is supported.
            default: video
            title: Variant
          description: Only `video` is supported.
      responses:
        '200':
          description: The video file.
          content:
            video/mp4: {}
        '302':
          description: Redirect to the video file.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthBearer:
      type: http
      scheme: bearer

````